#
# spec file for package sooperlooper
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           sooperlooper
Version:        1.7.3
Release:        pm152.1.8
Summary:        Live Looping Sampler
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://essej.net/sooperlooper/
Source:         http://essej.net/sooperlooper/sooperlooper-%{version}.tar.gz
Patch0:         spelling_error.patch
Patch1:         remove_dmalloc.patch
Patch2:         build_with_wx_30.patch
Patch3:         sigc++-2.5.2.patch
Patch4:         use_sigc_bind.patch
BuildRequires:  ImageMagick
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SooperLooper is a live looping sampler capable of immediate loop recording,
overdubbing, multiplying, reversing and more. It allows for multiple
simultaneous multi-channel loops limited only by your computer's available
memory.

The application is a standalone JACK client with an engine controllable via OSC
and MIDI. It also includes a GUI which communicates with the engine via OSC
(even over a network) for user-friendly control on a desktop. However, this
kind of live performance looping tool is most effectively used via hardware
(midi footpedals, etc) and the engine can be run standalone on a computer
without a monitor.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if 0%{?suse_version} > 1320
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

install -d "%{buildroot}%{_datadir}/pixmaps"
convert src/gui/pixmaps/sl_logo.xpm "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%suse_update_desktop_file -c "%{name}" SooperLooper Sampler slgui "%{name}" AudioVideo Audio Player
# DESKTOP_FILE_NAME NAME GENERICNAME EXECUTABLE \[ ICON CATEGORIES... \]


%files
%defattr(-,root,root)
%doc COPYING OSC README
%{_bindir}/sooperlooper
%{_bindir}/slconsole
%{_bindir}/slgui
%{_bindir}/slregister
%dir %{_datadir}/sooperlooper
%dir %{_datadir}/sooperlooper/presets
%{_datadir}/sooperlooper/presets/*.slb
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Feb  8 2017 aloisio@gmx.com
- Update to version 1.7.3
- Added build_with_wx_30.patch, remove_dmalloc.patch,
  sigc++-2.5.2.patch, spelling_error.patch and
  use_sigc_bind.patch (imported from debian)
- Spec cleanup
* Mon Jul 16 2012 pascal.bleser@opensuse.org
- initial version (1.6.18)
